ImaTransaction (Eclipse Amlen Javadoc Reference)

Package com.ibm.ima.plugin

## Interface ImaTransaction

-     public interface ImaTransaction

  The ImaSubscription object is created using the newSubscription() method of ImaConnection. The configuration of the subscription is read only, and the only actions which can be taken on the subscription are subscribe() and close(). A subscription object is tied to a connection.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `COPYRIGHT` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `commit()` | Commit the transaction.
    `ImaConnection` | `getConnection()` | Get the connection associated with a transaction.
    `ImaTransactionListener` | `getTransactionListener()` | Get the transaction listerner associated with a transaction.
    `boolean` | `inUse()` |
    `boolean` | `isValid()` | Check if the transaction is fully created.
    `void` | `rollback()` | Rollback the transaction.

- - ### Field Detail

    - #### COPYRIGHT

          static final String COPYRIGHT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getConnection

          ImaConnection getConnection()

      Get the connection associated with a transaction.
      Returns:
        The connection object

    - #### getTransactionListener

          ImaTransactionListener getTransactionListener()

      Get the transaction listerner associated with a transaction.
      Returns:
        The transaction listener object

    - #### commit

          void commit()

      Commit the transaction. All messages sent from this transaction are made available to receivers.

    - #### rollback

          void rollback()

      Rollback the transaction. All changed made from this transaction are undone.

    - #### inUse

          boolean inUse()

    - #### isValid

          boolean isValid()

      Check if the transaction is fully created.
      Returns:
        ture if the transaction is completely created.